Remove shipments from a batch
curl --request POST \
--url https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/removeShipment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipments": [
"UNI033642B16"
]
}
'import requests
url = "https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/removeShipment"
payload = { "shipments": ["UNI033642B16"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipments: ['UNI033642B16']})
};
fetch('https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/removeShipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Shipments removed from batch successfully",
"code": 0,
"data": {
"batchNumber": "URB0717000000000837",
"batchName": "test-17",
"status": "PENDING",
"printedLabel": false,
"shipmentCount": 0,
"shipments": []
}
}批次
从批次中移除货件
Removes one or more shipments from a batch.
POST
/
client
/
batch
/
{batchNumber}
/
removeShipment
Remove shipments from a batch
授权
API access token generated from the UniUni Platform dashboard.
路径参数
The unique batch number (e.g. URB0714000000000687).
请求体
application/json
List of order numbers.
此页面对您有帮助吗?
⌘I